Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.transform.shape
Class PluggableRendererDecorator

    java.lang.Object
      edu.uci.ics.jung.visualization.transform.shape.PluggableRendererDecorator

All Implemented Interfaces:
  HasShapeFunctions, PickedInfo, Renderer

Direct Known Subclasses:
  TransformingPluggableRenderer

public abstract class PluggableRendererDecorator
extends Object
implements Renderer, PickedInfo, HasShapeFunctions

A complete wrapping of PluggableRenderer, used as a base class

Author:
  Tom Nelson - RABA Technologies

Field Summary
`protected PluggableRenderer` | `delegate`

Constructor Summary
`PluggableRendererDecorator(PluggableRenderer delegate)`

Method Summary
`boolean` | `equals(Object obj)`
`AffineTransform` | `getArrowTransform(GeneralPath edgeShape, Shape vertexShape)`
`AffineTransform` | `getArrowTransform(Line2D edgeShape, Shape vertexShape)`
`PluggableRenderer` | `getDelegate()`
`EdgeArrowFunction` | `getEdgeArrowFunction()`
`Predicate` | `getEdgeArrowPredicate()`
`EdgeFontFunction` | `getEdgeFontFunction()`
`Predicate` | `getEdgeIncludePredicate()`
`NumberEdgeValue` | `getEdgeLabelClosenessFunction()`
`EdgePaintFunction` | `getEdgePaintFunction()`
`EdgeShapeFunction` | `getEdgeShapeFunction()`
`EdgeStringer` | `getEdgeStringer()`
`EdgeStrokeFunction` | `getEdgeStrokeFunction()`
`GraphLabelRenderer` | `getGraphLabelRenderer()`
`ParallelEdgeIndexFunction` | `getParallelEdgeIndexFunction()`
`PickedInfo` | `getPickedKey()`
`CellRendererPane` | `getRendererPane()`
`AffineTransform` | `getReverseArrowTransform(GeneralPath edgeShape, Shape vertexShape)`
`AffineTransform` | `getReverseArrowTransform(GeneralPath edgeShape, Shape vertexShape, boolean passedGo)`
`JComponent` | `getScreenDevice()`
`VertexFontFunction` | `getVertexFontFunction()`
`VertexIconFunction` | `getVertexIconFunction()`
`Predicate` | `getVertexIncludePredicate()`
`boolean` | `getVertexLabelCentering()`
`VertexPaintFunction` | `getVertexPaintFunction()`
`VertexShapeFunction` | `getVertexShapeFunction()`
`VertexStringer` | `getVertexStringer()`
`VertexStrokeFunction` | `getVertexStrokeFunction()`
`int` | `hashCode()`
`boolean` | `isPicked(ArchetypeEdge e)`
`boolean` | `isPicked(ArchetypeVertex v)`
`void` | `paintEdge(Graphics g, Edge e, int x1, int y1, int x2, int y2)`
`void` | `paintIconForVertex(Graphics g, Vertex v, int x, int y)`
`void` | `paintShapeForVertex(Graphics2D g2d, Vertex v, Shape shape)`
`void` | `paintVertex(Graphics g, Vertex v, int x, int y)`
`Component` | `prepareRenderer(GraphLabelRenderer renderer, Object value, boolean isSelected, Edge edge)`
`Component` | `prepareRenderer(GraphLabelRenderer graphLabelRenderer, Object value, boolean isSelected, Vertex vertex)`
`void` | `setArrowPlacementTolerance(float tolerance)`
`void` | `setDelegate(PluggableRenderer delegate)`
`void` | `setEdgeArrowFunction(EdgeArrowFunction eaf)`
`void` | `setEdgeArrowPredicate(Predicate p)`
`void` | `setEdgeColorFunction(EdgeColorFunction ecf)`
`void` | `setEdgeFontFunction(EdgeFontFunction eff)`
`void` | `setEdgeIncludePredicate(Predicate p)`
`void` | `setEdgeLabelClosenessFunction(NumberEdgeValue nev)`
`void` | `setEdgePaintFunction(EdgePaintFunction impl)`
`void` | `setEdgeShapeFunction(EdgeShapeFunction impl)`
`void` | `setEdgeStringer(EdgeStringer es)`
`void` | `setEdgeStrokeFunction(EdgeStrokeFunction esf)`
`void` | `setGraphLabelRenderer(GraphLabelRenderer graphLabelRenderer)`
`void` | `setParallelEdgeIndexFunction(ParallelEdgeIndexFunction parallelEdgeIndexFunction)`
`void` | `setPickedKey(PickedInfo pk)` This call allows a Renderer to ask whether a vertex is picked or not.
`void` | `setRendererPane(CellRendererPane rendererPane)`
`void` | `setScreenDevice(JComponent screenDevice)`
`void` | `setVertexColorFunction(VertexColorFunction vcf)`
`void` | `setVertexFontFunction(VertexFontFunction vff)`
`void` | `setVertexIconFunction(VertexIconFunction vertexImager)`
`void` | `setVertexIncludePredicate(Predicate p)`
`void` | `setVertexLabelCentering(boolean b)`
`void` | `setVertexPaintFunction(VertexPaintFunction vpf)`
`void` | `setVertexShapeFunction(VertexShapeFunction vsf)`
`void` | `setVertexStringer(VertexStringer vs)`
`void` | `setVertexStrokeFunction(VertexStrokeFunction vsf)`
`void` | `setViewTransformer(MutableTransformer viewTransformer)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### delegate

    protected PluggableRenderer delegate

Constructor Detail

### PluggableRendererDecorator

    public PluggableRendererDecorator(PluggableRenderer delegate)

Method Detail

### getEdgeArrowFunction

    public EdgeArrowFunction getEdgeArrowFunction()

### getEdgeArrowPredicate

    public Predicate getEdgeArrowPredicate()

### getEdgeFontFunction

    public EdgeFontFunction getEdgeFontFunction()

### getEdgeIncludePredicate

    public Predicate getEdgeIncludePredicate()

### getEdgeLabelClosenessFunction

    public NumberEdgeValue getEdgeLabelClosenessFunction()

### getEdgePaintFunction

    public EdgePaintFunction getEdgePaintFunction()

### getEdgeStringer

    public EdgeStringer getEdgeStringer()

### getEdgeStrokeFunction

    public EdgeStrokeFunction getEdgeStrokeFunction()

### getRendererPane

    public CellRendererPane getRendererPane()

### getScreenDevice

    public JComponent getScreenDevice()

### getVertexFontFunction

    public VertexFontFunction getVertexFontFunction()

### getVertexIncludePredicate

    public Predicate getVertexIncludePredicate()

### getVertexPaintFunction

    public VertexPaintFunction getVertexPaintFunction()

### getVertexStringer

    public VertexStringer getVertexStringer()

### getVertexStrokeFunction

    public VertexStrokeFunction getVertexStrokeFunction()

### setRendererPane

    public void setRendererPane(CellRendererPane rendererPane)

### getDelegate

    public PluggableRenderer getDelegate()

  Returns:
    Returns the delegate.

### setDelegate

    public void setDelegate(PluggableRenderer delegate)

  Parameters:
    `delegate` - The delegate to set.

### equals

    public boolean equals(Object obj)

### getEdgeShapeFunction

    public EdgeShapeFunction getEdgeShapeFunction()

  Specified by:
    `getEdgeShapeFunction` in interface `HasShapeFunctions`

### getGraphLabelRenderer

    public GraphLabelRenderer getGraphLabelRenderer()

### getPickedKey

    public PickedInfo getPickedKey()

### getVertexLabelCentering

    public boolean getVertexLabelCentering()

### getVertexShapeFunction

    public VertexShapeFunction getVertexShapeFunction()

  Specified by:
    `getVertexShapeFunction` in interface `HasShapeFunctions`

### hashCode

    public int hashCode()

### isPicked

    public boolean isPicked(ArchetypeEdge e)

  Specified by:
    `isPicked` in interface `PickedInfo`

### isPicked

    public boolean isPicked(ArchetypeVertex v)

  Specified by:
    `isPicked` in interface `PickedInfo`

### paintEdge

    public void paintEdge(Graphics g,
                          Edge e,
                          int x1,
                          int y1,
                          int x2,
                          int y2)

  Specified by:
    `paintEdge` in interface `Renderer`

### paintVertex

    public void paintVertex(Graphics g,
                            Vertex v,
                            int x,
                            int y)

  Specified by:
    `paintVertex` in interface `Renderer`

### paintIconForVertex

    public void paintIconForVertex(Graphics g,
                                   Vertex v,
                                   int x,
                                   int y)

### prepareRenderer

    public Component prepareRenderer(GraphLabelRenderer renderer,
                                     Object value,
                                     boolean isSelected,
                                     Edge edge)

### prepareRenderer

    public Component prepareRenderer(GraphLabelRenderer graphLabelRenderer,
                                     Object value,
                                     boolean isSelected,
                                     Vertex vertex)

### setArrowPlacementTolerance

    public void setArrowPlacementTolerance(float tolerance)

### setEdgeArrowFunction

    public void setEdgeArrowFunction(EdgeArrowFunction eaf)

### setEdgeArrowPredicate

    public void setEdgeArrowPredicate(Predicate p)

### setEdgeColorFunction

    public void setEdgeColorFunction(EdgeColorFunction ecf)

### setEdgeFontFunction

    public void setEdgeFontFunction(EdgeFontFunction eff)

### setEdgeIncludePredicate

    public void setEdgeIncludePredicate(Predicate p)

### setEdgeLabelClosenessFunction

    public void setEdgeLabelClosenessFunction(NumberEdgeValue nev)

### setEdgePaintFunction

    public void setEdgePaintFunction(EdgePaintFunction impl)

### setEdgeShapeFunction

    public void setEdgeShapeFunction(EdgeShapeFunction impl)

### setEdgeStringer

    public void setEdgeStringer(EdgeStringer es)

### setEdgeStrokeFunction

    public void setEdgeStrokeFunction(EdgeStrokeFunction esf)

### setGraphLabelRenderer

    public void setGraphLabelRenderer(GraphLabelRenderer graphLabelRenderer)

### setPickedKey

    public void setPickedKey(PickedInfo pk)

  Description copied from interface: `Renderer`
  This call allows a Renderer to ask whether a vertex is picked or not.

  Specified by:
    `setPickedKey` in interface `Renderer`

### setScreenDevice

    public void setScreenDevice(JComponent screenDevice)

### setVertexColorFunction

    public void setVertexColorFunction(VertexColorFunction vcf)

### setVertexFontFunction

    public void setVertexFontFunction(VertexFontFunction vff)

### setVertexIncludePredicate

    public void setVertexIncludePredicate(Predicate p)

### setVertexLabelCentering

    public void setVertexLabelCentering(boolean b)

### setVertexPaintFunction

    public void setVertexPaintFunction(VertexPaintFunction vpf)

### setVertexShapeFunction

    public void setVertexShapeFunction(VertexShapeFunction vsf)

### setVertexStringer

    public void setVertexStringer(VertexStringer vs)

### setVertexStrokeFunction

    public void setVertexStrokeFunction(VertexStrokeFunction vsf)

### toString

    public String toString()

### getVertexIconFunction

    public VertexIconFunction getVertexIconFunction()

### setVertexIconFunction

    public void setVertexIconFunction(VertexIconFunction vertexImager)

### getArrowTransform

    public AffineTransform getArrowTransform(GeneralPath edgeShape,
                                             Shape vertexShape)

### getReverseArrowTransform

    public AffineTransform getReverseArrowTransform(GeneralPath edgeShape,
                                                    Shape vertexShape)

### paintShapeForVertex

    public void paintShapeForVertex(Graphics2D g2d,
                                    Vertex v,
                                    Shape shape)

### getArrowTransform

    public AffineTransform getArrowTransform(Line2D edgeShape,
                                             Shape vertexShape)

### getReverseArrowTransform

    public AffineTransform getReverseArrowTransform(GeneralPath edgeShape,
                                                    Shape vertexShape,
                                                    boolean passedGo)

### getParallelEdgeIndexFunction

    public ParallelEdgeIndexFunction getParallelEdgeIndexFunction()

### setParallelEdgeIndexFunction

    public void setParallelEdgeIndexFunction(ParallelEdgeIndexFunction parallelEdgeIndexFunction)

### setViewTransformer

    public void setViewTransformer(MutableTransformer viewTransformer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD